https://bugs.gentoo.org/955544
https://github.com/tobster/snapcast/commit/fe0af5ec5eb47c7a6efd75cc2f252eb81c1f6129

From fe0af5ec5eb47c7a6efd75cc2f252eb81c1f6129 Mon Sep 17 00:00:00 2001
From: Tobias Hochwallner <tobster@gmx.at>
Date: Wed, 7 May 2025 22:42:07 +0200
Subject: [PATCH] Build failure with boost 1.88.0 #1367 fix compilation errors
 by including the deprecated boost process v1 APIs

---
 client/player/player.cpp               | 6 +++++-
 server/streamreader/stream_control.hpp | 8 +++++---
 2 files changed, 10 insertions(+), 4 deletions(-)

diff --git a/client/player/player.cpp b/client/player/player.cpp
index 933a356b..8e2bbdc3 100644
--- a/client/player/player.cpp
+++ b/client/player/player.cpp
@@ -27,7 +27,11 @@
 
 // 3rd party headers
 #ifdef SUPPORTS_VOLUME_SCRIPT
-#include <boost/process.hpp>
+#define BOOST_PROCESS_VERSION 1
+#include <boost/process/v1/args.hpp>
+#include <boost/process/v1/child.hpp>
+#include <boost/process/v1/detail/on_exit.hpp>
+#include <boost/process/v1/exe.hpp>
 #endif
 
 // standard headers
diff --git a/server/streamreader/stream_control.hpp b/server/streamreader/stream_control.hpp
index 32578fee..1b7894a5 100644
--- a/server/streamreader/stream_control.hpp
+++ b/server/streamreader/stream_control.hpp
@@ -18,14 +18,16 @@
 
 #pragma once
 
-
 // local headers
 #include "jsonrpcpp.hpp"
 #include "server_settings.hpp"
 
 // 3rd party headers
-#include <boost/asio/any_io_executor.hpp>
-#include <boost/process.hpp>
+#define BOOST_PROCESS_VERSION 1
+#include <boost/asio.hpp>
+#include <boost/process/v1/io.hpp>
+#include <boost/process/v1/start_dir.hpp>
+#include <boost/process/v1/system.hpp>
 
 // standard headers
 #include <filesystem>

